/////////////////////////////////////////////////////////////////////////////////////////
//
// Wiznet W5100 Sockets Interface
//
// --------------------------------------------------------------------------------------
//
// Filename:      socket.h
// Version:       1.0
// Date:          15/10/2011
// Author:        Joel Guittet - http://myfreescalewebpage.free.fr
//
/////////////////////////////////////////////////////////////////////////////////////////
//
// Revisions
//
// Version	| Author		| Description
// --------------------------------------------------------------------------------------
//			|				| 
//
/////////////////////////////////////////////////////////////////////////////////////////


#ifndef	SOCKET_H_
#define	SOCKET_H_


//---------------------------------------------------------------------------------------
// Includes
//---------------------------------------------------------------------------------------

#include "typedef.h"
#include "w5100.h"


//---------------------------------------------------------------------------------------
// Prototypes
//---------------------------------------------------------------------------------------

BOOLEAN SOCKET_Open(UINT8 u8Socket, UINT8 u8Protocol, UINT16 u16Port, UINT8 u8Flag);
void SOCKET_Close(UINT8 u8Socket);
BOOLEAN SOCKET_Connect(UINT8 u8Socket, UINT8 * u8Address, UINT16 u16Port);
void SOCKET_Disconnect(UINT8 u8Socket);
UINT8 SOCKET_GetStatus(UINT8 u8Socket);
BOOLEAN SOCKET_Listen(UINT8 u8Socket);
INT16 SOCKET_Send(UINT8 u8Socket, UINT8 * u8Buffer, UINT16 u16Length);
INT16 SOCKET_Recv(UINT8 u8Socket, UINT8 * u8Buffer, UINT16 u16Length);
INT16 SOCKET_SendTo(UINT8 u8Socket, UINT8 * u8Buffer, UINT16 u16Length, UINT8 * u8Address, UINT16 u16Port);
INT16 SOCKET_RecvFrom(UINT8 u8Socket, UINT8 * u8Buffer, UINT16 u16Length, UINT8 * u8Address, UINT16 * u16Port);


#endif
