/////////////////////////////////////////////////////////////////////////////////////////
//
// SPI interface
//
// --------------------------------------------------------------------------------------
//
// Filename:      spi.h
// Version:       1.0
// Date:          15/10/2011
// Author:        Joel Guittet - http://myfreescalewebpage.free.fr
//
/////////////////////////////////////////////////////////////////////////////////////////
//
// Revisions
//
// Version	| Author		| Description
// --------------------------------------------------------------------------------------
//			|				| 
//
/////////////////////////////////////////////////////////////////////////////////////////


#ifndef SPI_H_
#define SPI_H_


//---------------------------------------------------------------------------------------
// Includes
//---------------------------------------------------------------------------------------

#include "derivative.h"
#include "typedef.h"


//---------------------------------------------------------------------------------------
// SPI peripheral definitions
// It is possible to modify the following definitions to use another SPI peripheral
//---------------------------------------------------------------------------------------

#ifndef SPID
#define SPIC1 								SPI1C1				/* SPI Control Register 1 */
#define SPIC2 								SPI1C2				/* SPI Control Register 2 */
#define SPIBR 								SPI1BR				/* SPI Baud Rate Register */
#define SPIS 								SPI1S				/* SPI Status Register */
#define SPID 								SPI1D				/* SPI Data Register */
#endif


//---------------------------------------------------------------------------------------
// Prototypes
//---------------------------------------------------------------------------------------

void SPI_Init_LowRate(void);
void SPI_Init_HighRate(void);
void SPI_Write(UINT8 u8Byte);
UINT8 SPI_Read(void);
UINT8 SPI_WriteAndRead(UINT8 u8Byte);
void SPI_SelectW5100Device(void);
void SPI_UnselectW5100Device(void);
void SPI_SelectSDCard(void);
void SPI_UnselectSDCard(void);
BOOLEAN SPI_IsSDCardPresent(void);
BOOLEAN SPI_IsSDCardWriteProtected(void);


#endif
